summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Judah Milgram2019-03-14 01:38:37 +0100
committer Willy Sudiarto Raharjo2019-03-16 00:53:25 +0100
commit5069273f28d1a63f31b4ef4a6c24cea1e73f3e1f (patch)
tree3a68827fac18af141ab3dd3b9d503c575cb95251 /academic
parent2f9c4232e9cec80f8e4e41b19a7b79f8d67e23b6 (diff)
downloadslackbuilds-5069273f28d1a63f31b4ef4a6c24cea1e73f3e1f.tar.gz
academic/SU2: Added (Open Source CFD Code).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/SU2/README19
-rw-r--r--academic/SU2/SU2.SlackBuild107
-rw-r--r--academic/SU2/SU2.info10
-rw-r--r--academic/SU2/slack-desc19
4 files changed, 155 insertions, 0 deletions
diff --git a/academic/SU2/README b/academic/SU2/README
new file mode 100644
index 0000000000..fd4519ee57
--- /dev/null
+++ b/academic/SU2/README
@@ -0,0 +1,19 @@
+SU2 - Open-Source CFD code
+
+Open-source suite for Partial Differential Equation (PDE) analysis and
+PDE-constrained optimization problems. Designed with Computational
+Fluid Dynamics (CFD) and aerodynamic shape optimization in mind, but
+extensible to arbitrary sets of governing equations such as potential
+flow, elasticity, electrodynamics, chemically-reacting flows, and many
+others. Under active development by individuals all around the world
+on GitHub and is released under an open-source license.
+
+Builds parallel version by default.
+For serial version, delete the following configuration lines from
+su2.Slackbuild script:
+
+--enable-mpi
+--with-cxx=/usr/bin/mpicxx
+--with-cc=/usr/bin/mpicc
+
+and then no need for mpich / openmpi.
diff --git a/academic/SU2/SU2.SlackBuild b/academic/SU2/SU2.SlackBuild
new file mode 100644
index 0000000000..a32beff5c2
--- /dev/null
+++ b/academic/SU2/SU2.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for SU2
+#
+# Copyright 2019 Judah Milgram, Washington DC USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=SU2
+VERSION=${VERSION:-6.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./bootstrap
+
+# For serial version, delete --enable-mpi, --with-cxx, and --with-cc
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-mpi \
+ --with-cxx=/usr/bin/mpicxx \
+ --with-cc=/usr/bin/mpicc
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+COPYING INSTALL README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/SU2/SU2.info b/academic/SU2/SU2.info
new file mode 100644
index 0000000000..a7fb802ad1
--- /dev/null
+++ b/academic/SU2/SU2.info
@@ -0,0 +1,10 @@
+PRGNAM="SU2"
+VERSION="6.2.0"
+HOMEPAGE="https://su2code.github.io/docs/home/"
+DOWNLOAD="https://github.com/su2code/SU2/archive/v6.2.0/SU2-6.2.0.tar.gz"
+MD5SUM="c74d1dbe52d6239c4f9c75cbd3102a90"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mpich"
+MAINTAINER="Judah Milgram"
+EMAIL="milgram@cgpp.com"
diff --git a/academic/SU2/slack-desc b/academic/SU2/slack-desc
new file mode 100644
index 0000000000..1feb9369a9
--- /dev/null
+++ b/academic/SU2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SU2: SU2 (Open Source CFD Code)
+SU2:
+SU2: Open-source suite for Partial Differential Equation (PDE) analysis and
+SU2: PDE-constrained optimization problems. Designed with Computational
+SU2: Fluid Dynamics (CFD) and aerodynamic shape optimization in mind, but
+SU2: extensible to arbitrary sets of governing equations such as potential
+SU2: flow, elasticity, electrodynamics, chemically-reacting flows, and many
+SU2: others. Under active development by individuals all around the world
+SU2: on GitHub and is released under an open-source license.
+SU2:
+SU2: Home page: https://su2code.github.io/docs/home/